%define url_ver %(echo %{version} | cut -d. -f1,2)

# fix COPR builds
%{?!_metainfodir:%global _metainfodir %_datadir/metainfo}

Summary:	A picture viewer for the Xfce desktop environment
Name:		ristretto
Version:	0.13.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics
URL:		https://docs.xfce.org/apps/ristretto/start
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
Requires:	hicolor-icon-theme
Requires:	xfconf
Requires:	tumbler

%description
Ristretto is a fast and lightweight picture-viewer for the
Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x
%make_build

%install
%make_install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --add-mime-type="image/tiff" \
  --add-mime-type="image/x-bmp" \
  --add-mime-type="image/x-png" \
  --add-mime-type="image/x-pcx" \
  --add-mime-type="image/x-tga" \
  --add-mime-type="image/xpm" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%files
%{_bindir}
%{_datadir}

%changelog
* Tue Feb 06 2024 tex - 0.13.2-1pclos2024
- new version

* Wed May 17 2023 tex - 0.13.1-1pclos2023
- new version

* Thu Feb 09 2023 tex - 0.13.0-1pclos2023
- new version

* Fri Dec 16 2022 tex - 0.12.4-1pclos2022
- new version

* Fri Jul 15 2022 tex - 0.12.3-1pclos2022
- new version

* Fri Dec 03 2021 tex - 0.12.1-1pclos2021
- new version
